
Lookup Editor - Bug #1559

Incompatibility with Mobile Access Add-on

11/10/2016 03:32 AM - Luke Murphey

Status: Closed Start date: 11/10/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.5.0   

Description

See https://github.com/LukeMurphey/lookup-editor/issues/7

History

#1 - 11/10/2016 03:36 AM - Luke Murphey

With 2.4.0, I see these errors:

500 errors:

/custom/splunk_instrumentation/instrumentation_controller/instrumentation_eligibility?_=1478748455689

404s:

/custom/mobile_access/proxy/services/mobile-access/ma-admin-default-app-accessibility?output_mode=json&count=-1

/custom/mobile_access/proxy/services/mobile-access/ma-admin-apps?output_mode=json&count=100&sort_dir=asc&sort_key=name&search=+visibl

e%3Dtrue+AND+disabled%3D0+AND+show_in_nav%3D1+AND+name!%3D"launcher"+AND+name!%3D"splunk_management_console"&offset=0

#2 - 11/10/2016 03:40 AM - Luke Murphey

2016-11-09 21:37:08,144 ERROR    [5823eb64232200acdb358] <string>:28 - ERROR: In instrumentation_controller.py

: Traceback (most recent call last):

  File "<string>", line 26, in wrapper

  File "<string>", line 40, in wrapper

  File "<string>", line 55, in import_packager

ImportError: No module named splunk_instrumentation.packager

#3 - 11/10/2016 07:13 AM - Luke Murphey

Trying to narrow this down:

Removed web.conf: worked

#4 - 11/10/2016 07:21 AM - Luke Murphey

The issue is the prune_sys_path call at the top of the controller. That was added to get the app to work with ES per #1480

#5 - 11/10/2016 07:44 AM - Luke Murphey
https://github.com/LukeMurphey/lookup-editor/issues/7
https://lukemurphey.net/issues/1480


- Status changed from New to Closed

- Assignee set to Luke Murphey

- Target version set to 2.5.0

- % Done changed from 0 to 100
